Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

From: Andrea Corallo <[email-masked]>
Date: Tue, 06 Sep 2022 19:23:03 +0000

Eli Zaretskii <[email-masked]> writes:

>> Cc: German Pacenza <[email-masked]>, [email-masked]
>> From: Andrea Corallo <[email-masked]>
>> Date: Tue, 06 Sep 2022 16:33:54 +0000
>> 
>> > So the
>> >
>> > ;; no-native-compile: t
>> >
>> > cookie doesn't seem to actually work?  I've added Andrea to the CCs;
>> > perhaps he has some comments.
>> 
>> Hi all,
>> 
>> AFAICS it does work, the issue is that we print the "Compiling
>> blablabla.el" message before we giving up because we realize
>> no-native-compile is set... :/
>
> Are you sure?  If I do "M-x list-processes" right after starting
> Emacs, I see this in the list:
>
>   Compiling: /ho… 5370 run *Async-native-compile-lo… /dev/pts/2 Main
> /home/eliz/git/emacs/native-comp/src/emacs --batch -l
> /tmp/emacs-async-comp-cl-loaddefs-UlziS9.el
>
> which tells me we really do native-compile cl-loaddefs.el.

I think so, we emit the "Compiling" message already in the subprocess.
So yeah, if the requirement is not to spawn a process,
`no-native-compile' is not up to the job.

  Andrea